## org.gnu.pango
Class AttrShape

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Attribute
              org.gnu.pango.AttrShape

public class AttrShape
extends Attribute

The AttrShape structure is used to represent attributes which impose shape restrictions.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`AttrShape()`

Method Summary
`Rectangle` `getInkRect()` Returns the ink rectangle to restrict to
`protected static Handle` `getInkRect(Handle obj)` BEGINNING OF GENERATED CODE
`Rectangle` `getLogicalRect()` Returns the logical rectangle to restrict to
`protected static Handle` `getLogicalRect(Handle obj)`

Methods inherited from class org.gnu.pango.Attribute
`getEndIndex, getEndIndex, getStartIndex, getStartIndex`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrShape

    public AttrShape()

Method Detail

### getInkRect

    public Rectangle getInkRect()

  Returns the ink rectangle to restrict to

### getLogicalRect

    public Rectangle getLogicalRect()

  Returns the logical rectangle to restrict to

### getInkRect

    protected static final Handle getInkRect(Handle obj)

  BEGINNING OF GENERATED CODE

### getLogicalRect

    protected static final Handle getLogicalRect(Handle obj)